<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * Check login data, operators and target file
 */

require_once 'common.php';

// Delete todo
if (isset ($_REQUEST['new']) and $_REQUEST['new'] == 1) {
    unset($_SESSION['todo']);
}

/**
 * Check, if database and tables exist
 * $number_of_tables is defined in file common.php
 */
if ($number_of_tables < 2 and isset ($_SESSION['use_id'])) {
    HTML::printHead($css);
    HTML::printBody();
    HTML::printHeadline($headline);

    print link_back_with_query();
    ?>
    <div >
        <br/> <br/>
        <?php
        print $html->html_x(1, $la_no_database, 'h1');

        $link = new Link();
        $link->set_list(false);
        print '<h1>Zum Erstellen der Datenbank';
        print $link->make_link('tbl_make.php', '<b> hier klicken</b>.');
        print '</h1>';
        ?>
    </div>
    <?php
    HTML::printFoot();
    exit();
}


/**
 * Check if there was a operator selected in the login form
 */
$query = "
    SELECT username 
    FROM $tbl_wor
    WHERE username = '" . $_SESSION['bea_username'] . "'";

$operator_exist = $db->count_rows($query);


// How much operators
$query = "SELECT id FROM $tbl_wor WHERE hide != 1";
$number_of_operators = $db->count_rows($query);

/**
 * Select operator
 */
if (($operator_exist < 1 and $number_of_operators > 1) 
    and (isset ($_REQUEST['bea_search']) and $_REQUEST['bea_search'] != 2) ) 
{
//if (true ) 
//{

    HTML::printHead($css);
    HTML::printBody();
    HTML::printHeadline($headline);
    ?>
    <div id="menu1">
        <?php print link_back_with_query(); ?>
    </div>
    <div class="center" style="width:300px;">
    <h1> <?php  print $la_worker_select; ?> </h1>
    <?php
    $query = "
        SELECT id, username
        FROM $tbl_wor
        WHERE hide != 1
        ORDER BY username";
    $arr_fields = array('id', 'username',);

    $tblc = new Tbl();
    $tblc->set_field_as_link('ID');
    $tblc->set_name_of_delete_field($la_hidden);
    $tblc->set_id_field('id');
    $tblc->set_link2_id_name_in_querystr('bea_id');
    if (isset($_SESSION['tbl']) && $_SESSION['tbl'] == 'ord_ite') {
        $tblc->set_link_target('order_edit.php', $_SESSION['tbl'] == 'ord_ite');
    }
    
    if (isset($_SESSION['tbl'])) {
        $arr7 = array('tbl' => $_SESSION['tbl'], 'file' => $_SERVER['PHP_SELF']);
        $tblc->set_link_queryarr($arr7);
    }
    
    $query_string = 'bea_search=2&new=1';
    $tblc->set_link2($file, $query_string, $la_select);

    // in case of private bill number, number will be the link
    if (isset($_SESSION['tbl']) && $_SESSION['tbl'] == 'ord') {
        $tblc->set_field_as_link('number', $adm['own_doc_number'] == 1 and $_SESSION['tbl'] == 'ord' );
    }
    //echo $query;
    $tblc->set_fields($arr_fields);
    $tblc->hide_delete_link();
    $tblc->set_query($query);
    $tblc->show_table();
    ?>
    </div>
    <?php
    HTML::printFoot();

    exit ();
} // end select operator

   /**
    * Get operator from login or the only one
    */
   if (isset ($_REQUEST['bea_search'])) {
       // Get selected operator
        if ($_REQUEST['bea_search'] == 2) {
            $worker = $db->get_row_as_array($tbl_wor, "id = ".$_REQUEST['bea_id']);
            #$worker = $db->get_row_as_array($tbl_wor, "id = ". 1);

        // Get operator from login
        }elseif(!empty($_SESSION['bea_username'])) {
            $worker = $db->get_row_as_array($tbl_wor, "username = '" . $_SESSION['bea_username'] . "'");

        // Get the only one operator
        }else{
            $worker = $db->get_row_as_array($tbl_wor, " 1");
        }
        $_SESSION['bea_id'] = $worker['id'];
        $_SESSION['bea_nachname'] = $worker['surname'];
        
        /**
         * Restore session parameters from last session
         */
        // Get field session from database table worker
        $json_string = $db->get_one_field($tbl_wor, $_SESSION['bea_id'], 'session_value');

        if (!empty($json_string)) {
            // Convert json-string to array
            $json_array =  json_decode($json_string, true);

            // Write parameters to the session
            foreach ($json_array as $key =>  $value) {
                $_SESSION[$key] = $json_array[$key];
            }
        }
    }

    // Looking for the todo modul
    $file = PROJECT_DOCUMENT_ROOT . '/modul/todo/todo.php';

// Forwarding to query.php
if ($use['mod_todo'] == 1 and is_file($file)) {
    header('Location:query.php?todo=1&tbl=ord&hide=0&search_mod=1');

}else{
    header('Location:query.php?tbl=ord&search_mod=1&hide=0&new=1&go=1&page=1');
}