<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


 /**
  * Class for changing many records
  *
  * Switching means updating the database fields from type bool,
  * Updating will write 0 or 1 to the database.
  *
  * @since 2010-12
  */
class Db_Multi_Alter extends Dbc 
{
    protected $value;

    /**
     *
     * @param str $value zu pr?fendes feld
     * @return bool sagt ob es eine zahl/dezimalzahl ist oder nicht
     */
    private function check_if_decimal($value) 
    {
      $this->value = $value;
      $this->value = trim($this->value);
      $this->value = str_replace(",",".",$this->value);
      if (is_numeric($this->value)) {
          return true;
      }else{
          return false;
      }
    }

    
    /**
     * Check the pressing of submit button and change one or
     * more records
     * 
     * @param str $submit_name name of submit button
     * @param str $tbl table
     * @param str $la_ids id_string of affected rows
     * @param str $field field name which will be updated
     * @return kein aendert die Werte in der db
     */
    function update_many($submit_name, $tbl, $la_ids, $field) 
    {
        if (isset ($_POST[$submit_name])) {
            $ids = explode(',', $la_ids);
            //print_r($ids);
            foreach ($ids as $key => $value) {
                $test = ($this->check_if_decimal($_POST[$value]));
                if ($test) {
                    // change comma to point
                    $wert =  str_replace(",",".",$_POST[$value]);
                }else{
                    $wert = $_POST[$value];
                }
                $qry = " UPDATE $tbl SET $field = '$wert' "
                     . " WHERE id = '$value'";
                mysql_query($qry);
            }
        }
    }

    
} // end class 

?>