<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * Database settings
 */

if (LOCAL_SYSTEM == true) {

///////////////////////////////////////////////////////////////////////////////
////////////                                       ////////////////////////////
////////////     DATABASE PARAMETERS               ////////////////////////////
////////////                                       ////////////////////////////
///////////////////////////////////////////////////////////////////////////////
                                
define('DB_HOST', 'localhost'); 
define('DB_USER', 'root');    
define('DB_PW', ''); 
define('DB_NAME', 'faktura'); 

///////////////////////////////////////////////////////////////////////////////
////////////                                       ////////////////////////////
////////////     DONT EDIT THE FOLLOWING LINES     ////////////////////////////
////////////                                       ////////////////////////////
///////////////////////////////////////////////////////////////////////////////


    // PROJECT_HTTP_ROOT
if(function_exists('posix_uname')) {
    $uname = posix_uname();
}else{
	$uname['sysname'] = 'win';
}
    if ($uname['sysname'] == 'Linux') {
        // Linux
        define('PROJECT_HTTP_ROOT', 'http://localhost/~' . HOME . '/' . VERSION . VERSION_NO . '/');
    }else{
        // Windows
        define('PROJECT_HTTP_ROOT', 'http://localhost/' . VERSION . VERSION_NO . '/');
    }

    // Path for saving pdf and logo
    define('LOGO_DIR', PROJECT_DOCUMENT_ROOT);
    
    // Path for saving pdf documents, Directory must exist.
    define('PDF_ARCHIV_DIR', PROJECT_DOCUMENT_ROOT . '/pdf_archiv');

    // url for logos
    define('LOGO_HTTP', PROJECT_HTTP_ROOT);
    


/**
 * Database settings on the web server
 */
}



//RRRRRRRRRRRRRRRRRRRR
else
{
    $file7 = PROJECT_DOCUMENT_ROOT . '/development/config_db.inc.php';
    if (is_file($file7)) {
        require_once $file7;
    }
}
//RRRRRRRRRRRRRRRRRRRRR
